﻿using Demo.domain.Models;
using Zurnal.Date.LocalDate;
using Zurnal.Date.Repository;

namespace Demo.Data.Repository
{
    public class UserRepositoryImpl : IGroupRepository
    {
        public UserRepositoryImpl() {
            GetAllUsers = LocalStaticData.users;
        }
        
        public List<UserLocalEnity> GetAllUsers
        { get; set; }

        public bool RemoveUserByGuid(Guid userGuid)
        {
            UserLocalEnity? userLocal = GetAllUsers
                .Where(x => x.Guid == userGuid).FirstOrDefault();
            if (userLocal == null) return false;

            return GetAllUsers.Remove(userLocal);
        }

        public UserLocalEnity? GetUserByGuid(Guid userGuid) {
            UserLocalEnity? userLocal = GetAllUsers
                    .Where(x => x.Guid == userGuid).FirstOrDefault();
            if (userLocal == null) return null;

            return userLocal;
        }

        public UserLocalEnity? UpdateUser(UserLocalEnity userUpdateLocalEnity) {
            UserLocalEnity? userLocal = GetAllUsers
                    .Where(x => x.Guid == userUpdateLocalEnity.Guid).FirstOrDefault();
            if (userLocal == null) return null;
            userLocal.FIO = userUpdateLocalEnity.FIO;
            userLocal.GroupID = userUpdateLocalEnity.GroupID;
            return userLocal;
        }
        public List<UserLocalEnity> GetAllUsersList()
        {
            return GetAllUsers;
        }

        List<GroupLocalEntity> IGroupRepository.GetAllGroup()
        {
            throw new NotImplementedException();
        }

        bool IGroupRepository.RemoveGroupById(int groupID)
        {
            throw new NotImplementedException();
        }

        bool IGroupRepository.UpdateGroupById(int groupID, GroupLocalEntity updatedGroup)
        {
            throw new NotImplementedException();
        }

        GroupLocalEntity IGroupRepository.GetGroupById(int groupID)
        {
            throw new NotImplementedException();
        }

        bool IGroupRepository.AddGroup(GroupLocalEntity newGroup)
        {
            throw new NotImplementedException();
        }
    }
    
}